Package org.apache.synapse.transport.http.conn

## Class ServerConnFactory

- java.lang.Object
- - org.apache.synapse.transport.http.conn.ServerConnFactory

-     public class ServerConnFactory
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ALL_NETWORK` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerConnFactory​(org.apache.http.HttpRequestFactory requestFactory, org.apache.http.nio.util.ByteBufferAllocator allocator, SSLContextDetails ssl, Map<InetSocketAddress,​SSLContextDetails> sslByIPMap, org.apache.http.params.HttpParams params)` |
    `ServerConnFactory​(org.apache.http.params.HttpParams params)` |
    `ServerConnFactory​(SSLContextDetails ssl, Map<InetSocketAddress,​SSLContextDetails> sslByIPMap, org.apache.http.params.HttpParams params)` |
    `ServerConnFactory​(SSLContextDetails ssl, Map<InetSocketAddress,​SSLContextDetails> sslByIPMap, org.apache.http.params.HttpParams params, int port)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.http.impl.nio.DefaultNHttpServerConnection` | `createConnection​(org.apache.http.nio.reactor.IOSession iosession)` |
    `Set<InetSocketAddress>` | `getBindAddresses()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL_NETWORK

          public static final String ALL_NETWORK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServerConnFactory

          public ServerConnFactory​(org.apache.http.HttpRequestFactory requestFactory,
                                   org.apache.http.nio.util.ByteBufferAllocator allocator,
                                   SSLContextDetails ssl,
                                   Map<InetSocketAddress,​SSLContextDetails> sslByIPMap,
                                   org.apache.http.params.HttpParams params)

    - #### ServerConnFactory

          public ServerConnFactory​(SSLContextDetails ssl,
                                   Map<InetSocketAddress,​SSLContextDetails> sslByIPMap,
                                   org.apache.http.params.HttpParams params)

    - #### ServerConnFactory

          public ServerConnFactory​(SSLContextDetails ssl,
                                   Map<InetSocketAddress,​SSLContextDetails> sslByIPMap,
                                   org.apache.http.params.HttpParams params,
                                   int port)

    - #### ServerConnFactory

          public ServerConnFactory​(org.apache.http.params.HttpParams params)

  - ### Method Detail

    - #### createConnection

          public org.apache.http.impl.nio.DefaultNHttpServerConnection createConnection​(org.apache.http.nio.reactor.IOSession iosession)

    - #### getBindAddresses

          public Set<InetSocketAddress> getBindAddresses()